Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.benchmark.statistic
Class AbstractSolverStatistic.AbstractSolverStatisticScvLine

    java.lang.Object
      org.drools.planner.benchmark.statistic.AbstractSolverStatistic.AbstractSolverStatisticScvLine

All Implemented Interfaces:
  Comparable<AbstractSolverStatistic.AbstractSolverStatisticScvLine>

Direct Known Subclasses:
  BestScoreStatistic.BestScoreScvLine, CalculateCountStatistic.CalculateCountScvLine, MemoryUseStatistic.MemoryUseScvLine

Enclosing class:
  AbstractSolverStatistic

    protected abstract static class AbstractSolverStatistic.AbstractSolverStatisticScvLine

extends Object
implements Comparable<AbstractSolverStatistic.AbstractSolverStatisticScvLine>

Field Summary
`protected long` | `timeMillisSpend`

Constructor Summary
`AbstractSolverStatistic.AbstractSolverStatisticScvLine(long timeMillisSpend)`

Method Summary
`int` | `compareTo(AbstractSolverStatistic.AbstractSolverStatisticScvLine other)`
`long` | `getTimeMillisSpend()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### timeMillisSpend

    protected long timeMillisSpend

Constructor Detail

### AbstractSolverStatistic.AbstractSolverStatisticScvLine

    public AbstractSolverStatistic.AbstractSolverStatisticScvLine(long timeMillisSpend)

Method Detail

### getTimeMillisSpend

    public long getTimeMillisSpend()

### compareTo

    public int compareTo(AbstractSolverStatistic.AbstractSolverStatisticScvLine other)

  Specified by:
    `compareTo` in interface `Comparable<AbstractSolverStatistic.AbstractSolverStatisticScvLine>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JBoss by Red Hat. All Rights Reserved.